---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "zuul.fullname" . }}-fingergw
  labels:
    {{- include "zuul.labels" . | nindent 4 }}
spec:
  replicas: {{ .Values.fingergw.replicaCount }}
  selector:
    matchLabels:
      {{- include "zuul.fingergw.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      {{- with .Values.podAnnotations }}
      annotations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      labels:
        {{- include "zuul.fingergw.selectorLabels" . | nindent 8 }}
    spec:
      containers:
      - name: {{ include "zuul.fullname" . }}-fingergw
        image: "{{ .Values.fingergw.image.repository }}:{{ .Values.fingergw.image.tag | default .Chart.AppVersion }}"
        volumeMounts:
          - name: conf
            mountPath: /etc/zuul
            readOnly: true
          - name: tls
            mountPath: /tls
            readOnly: true
        resources:
            {{- toYaml .Values.fingergw.resources | nindent 12 }}
      volumes:
        - name: conf
          secret:
            secretName: {{ include "zuul.fullname" . }}-config
        - name: tls
          secret:
            secretName: {{ .Release.Name }}-zookeeper-client-crt
